Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Dirent_Selector Class Reference

Define a portable C++ directory-entry iterator based on the POSIX

Parameters:

  scandir | API.

More...

`#include <Dirent_Selector.h>`

Collaboration diagram for ACE_Dirent_Selector:

[legend]
List of all members.

## Public Methods
| ACE_Dirent_Selector (void)
| Constructor. More...
virtual | ~ACE_Dirent_Selector (void)
| Destructor. More...
int | length (void) const
| Return the length of the list of matching directory entries. More...
dirent * | operator[] (const int index) const
| Return the entry at <index>. More...
int | close (void)
| Free up resources. More...
int | open (const ACE_TCHAR *dir, int(*selector)(const dirent *d)=0, int(*comparator)(const dirent **d1, const dirent **d2)=0)
| Open the director <dir> and populate the <namelist_> array with directory entries that match the <selector> and <comparator>. More...
## Protected Attributes
dirent ** | namelist_
| Ptr to the namelist array. More...
int | n_
| # of entries in the array. More...

## Detailed Description

Define a portable C++ directory-entry iterator based on the POSIX

Parameters:

  scandir | API.

## Constructor & Destructor Documentation

ACE_Dirent_Selector::ACE_Dirent_Selector | ( | void |  | ) |

| Constructor.

ACE_Dirent_Selector::~ACE_Dirent_Selector | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Dirent_Selector::close | ( | void |  | ) |

| Free up resources.

ACE_INLINE int ACE_Dirent_Selector::length | ( | void |  | ) | const

| Return the length of the list of matching directory entries.

int ACE_Dirent_Selector::open | ( | const ACE_TCHAR * | dir,
|  | int(* | sel)(const dirent *d) = 0,
|  | int(* | cmp)(const dirent **d1, const dirent **d2) = 0
| ) |

| Open the director <dir> and populate the <namelist_> array with directory entries that match the <selector> and <comparator>.

ACE_INLINE dirent * ACE_Dirent_Selector::operator[] | ( | const int | n | ) | const

| Return the entry at <index>.

## Member Data Documentation

int ACE_Dirent_Selector::n_`[protected]`

| # of entries in the array.

dirent** ACE_Dirent_Selector::namelist_`[protected]`

| Ptr to the namelist array.

The documentation for this class was generated from the following files:

- Dirent_Selector.h
- Dirent_Selector.cpp
- Dirent_Selector.inl